Subject: RE: rebuilding for MIPS cross-compile
From: [email-masked] ("Russell Kadota")

5 Apr 1997 01:32:23 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC411D.D93AAED0.cygnus.gnu-win32@FLOUR>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>,
        "'Scott Mintz'"
	 <[email-masked]>
Original-Sender: [email-masked]

----------
From: 	Scott Mintz
Sent: 	Friday, April 04, 1997 12:15 PM
To: 	[email-masked]'; Russell Kadota
Subject: 	Re: rebuilding for MIPS cross-compile

     I ran into this problem myself.  The cause is due to the fact that the 
     xgcc program is referencing the build ld program instead of the host 
     ld program.  configure creates a link to the correct ld program 
     however it names it collect-ld for some reason.  If you copy 
     collect-ld to ld you'll find the problem goes away.

Thank you very much!  I did this and the build (apparently) completed.

     The other problem I ran into was while rebuilding newlib.  In the 
     libc/stdio directory, there are a number of references to glue.h.  
     Since glue.h doesn't exist in the stdio directory make fails.  I found 
     a copy in the libgloss directory and just copied it to stdio and that 
     problem went away too.

Odd... my build didn't run into this problem.  I do have a glue.h file in
src/mips-idt-ecoff/newlib/libc/stdio, but it's a link to another file called glue.h
in src/newlib/libc/stdio.
     
     The biggest problem by far, is the fact that exporting environment 
     variables doesn't seem to work correctly.
     example:
     bash$ foo=hello echo $foo
     
     bash$
     
     I would expect to see:
     bash$ foo=hello echo $foo
     hello
     bash$

     Because of this bug the genmultilib script in gcc does not create the 
     multilib.h file correctly.  I'm not sure how many other places this 
     bug affects builds.

How can I determine if my multilib.h file was correctly created?

Now, of course, I'm having errors in the install, but I think I remember seeing
something int the FAQ about that... 

Again, thanks for your help, and also thanks to Kai Ruottu who also responded.
     
     +------------------------------+------------------------------------+
     | Scott A. Mintz               | voice: (216) 646-4805              |
     | Allen-Bradley Company        | fax:   (216) 646-4961              |
     | 1 Allen-Bradley Drive        | email: [email-masked]   |
     | Mayfield Hts., OH 44124-6118 | CIS:   71461,632                   |
     +------------------------------+------------------------------------+

______________________________ Reply Separator _________________________________
Subject: rebuilding for MIPS cross-compile
Author:  "Russell Kadota" <[email-masked]> at Internet
Date:    4/3/97 5:04 PM

Hello --
     
I'm trying to rebuild from source, hosting on NT 4, with 
mips-idt-ecoff as the target.  The configure stage seemed to run 
without incident.  However, during the make it failed trying
to build libgcc1-test.  Here are the last few lines from the log 
file:
     
 (Begin logfile excerpt):
     
/software/cygwin/src/gcc/xgcc -B/software/cygwin/src/gcc/ -DCROSS_COMPILE 
-DIN_GCC   -g -I./include     -c ./libgcc1-test.c
     
Testing libgcc1.  Ignore linker warning messages. 
/software/cygwin/src/gcc/xgcc -B/software/cygwin/src/gcc/ -DCROSS_COMPILE 
-DIN_GCC   -g -I./include  libgcc1-test.o -o libgcc1-test \
  -nostartfiles -nostdlib `/software/cygwin/src/gcc/xgcc
-B/software/cygwin/src/gcc/ --print-libgcc-file-name`
     
libgcc1-test.o: file not recognized: File format not recognized 
make: *** [libgcc1-test] Error 1
make: *** [all-gcc] Error 2
     
 (end logfile excerpt).

I used od to examine the first few bytes of libgcc1-test.o, and it 
is different from all the other .o files in the directory. 
Everything else starts with 014c 0005, but libgcc1-test.o begins 
with 6001 0400.
     
I'm at a bit of a loss as to how to proceed from here.  Can 
anyone shed any light on this for me?
-
For help on using this list, send a message to 
"[email-masked]" with one line of text: "help".

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".